SourceForge has been redesigned. Learn more.
Close

Linker error (due to libreadline?)

Help
2001-09-07
2001-09-20
  • Thorsten Roggendorf

    Hi,

    I tried to build scigraphica from sources and get the following linker errors:

    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:554: undefined reference to `rl_reset_terminal'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:555: undefined reference to `rl_initialize'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:556: undefined reference to `rl_filename_completion_desired'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:557: undefined reference to `rl_insert'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:557: undefined reference to `rl_bind_key'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:585: undefined reference to `readline'
    /users/schrotie/install/sg-0.7.1/src/python/python_term.c:588: undefined reference to `add_history'

    I think those functions might be in a gnome library called libreadline. That one was not in the linker command though, thus I thought I'd asked you where it's supposed to be and how to fix it.

    Regards

       Thorsten

     
    • Conrad Steenberg

      Hi

      Could you please send the complete output of the file config.log to the scigraphica-devel mailing list?

      Thanks!

      Conrad

       
    • Thorsten Roggendorf

      Hi again,

      sorry, did'nt read this for some time, now that compilation attempt is lost. It was probably on a Suse 6.4 system with ximian gnome.
      Meanwhile I tried to build scigraphica on two debian installations, a potato and the same installation upgraded to woody. I tried to install scigraphica 6.3, 7.0 an 7.1 and was successful with neither (there was a bug I fixed in 7.0, the config.h had an unterminated string constant). There were always headers, function declarations or function definitions missing. 7.0.1 won't even configure since imlib and gtk test programs failed to link/compile (reason might be that I have the wrong gtk-extra version, I was reluctant to build that scince the older scigraphice versions won't even compile).

      Ok, can I help you somehow? Do you want some data about the 7.0 or 6.3 build attempts?
      (if you want to speed thing up, mail to schrotie@uni-bielefeld.de)

      Regards

         Thorsten

       

Log in to post a comment.